XFuConfigurationDataSoundInfo class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuConfigurationDataSoundInfo Class Reference

Sound sample configuration data type. More...

`#include <XFuConfigurationData.h>`

List of all members.

## Public Member Functions

| XFuConfigurationDataSoundInfo ()
virtual | ~XFuConfigurationDataSoundInfo ()

## Public Attributes

CHAR * | mFilename
| Filename of the sound sample.
FLOAT32 | mSamplingRate
| Sampling rate.
REAL | mVolume
| Volume (1.0=original volume).
REAL | mPanning
| Panning [0..1].
UINT16 | mPriority
| Priority.
INT | mLooping
| Non-zero if the sample is looping.
INT32 | mLoopStart
| Loop start point.
INT32 | mLoopEnd
| Loop end point.
UINT32 | mFlags
| Flags, see XFUCONFIGURATIONDATA_AUDIO_INFO_FLAGS.

## Detailed Description

Sound sample configuration data type.

See also:
  XFUCONFIGURATIONDATA_AUDIO_INFO_FLAGS

Definition at line 40 of file XFuConfigurationData.h.

## Constructor & Destructor Documentation

XFuConfigurationDataSoundInfo::XFuConfigurationDataSoundInfo | ( |  | ) | `[inline]`

| Definition at line 55 of file XFuConfigurationData.h.

virtual XFuConfigurationDataSoundInfo::~XFuConfigurationDataSoundInfo | ( |  | ) | `[inline, virtual]`

| Definition at line 59 of file XFuConfigurationData.h.

## Member Data Documentation

CHAR* XFuConfigurationDataSoundInfo::mFilename

| Filename of the sound sample. Definition at line 45 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

UINT32 XFuConfigurationDataSoundInfo::mFlags

| Flags, see XFUCONFIGURATIONDATA_AUDIO_INFO_FLAGS. Definition at line 53 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

INT32 XFuConfigurationDataSoundInfo::mLoopEnd

| Loop end point. Definition at line 52 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

INT XFuConfigurationDataSoundInfo::mLooping

| Non-zero if the sample is looping. Definition at line 50 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

INT32 XFuConfigurationDataSoundInfo::mLoopStart

| Loop start point. Definition at line 51 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

REAL XFuConfigurationDataSoundInfo::mPanning

| Panning [0..1]. Definition at line 48 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

UINT16 XFuConfigurationDataSoundInfo::mPriority

| Priority. Definition at line 49 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

FLOAT32 XFuConfigurationDataSoundInfo::mSamplingRate

| Sampling rate. Definition at line 46 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

REAL XFuConfigurationDataSoundInfo::mVolume

| Volume (1.0=original volume). Definition at line 47 of file XFuConfigurationData.h. Referenced by XFuConfigurationData::addSound().

The documentation for this class was generated from the following file:

- XFuConfigurationData.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch